Update project by ID
curl --request PUT \
--url https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/projects/{projectId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"customer_id": 1,
"name": "some string",
"description": "some string",
"status": 1,
"status_id": 1,
"status_workflow_id": 1,
"location_id": 1,
"location": "some string",
"start_time": 1234567890,
"end_time": 1234567890,
"notes": "some string",
"job_notes": "some string",
"completion_percentage": "1"
}
'import requests
url = "https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/projects/{projectId}"
payload = {
"customer_id": 1,
"name": "some string",
"description": "some string",
"status": 1,
"status_id": 1,
"status_workflow_id": 1,
"location_id": 1,
"location": "some string",
"start_time": 1234567890,
"end_time": 1234567890,
"notes": "some string",
"job_notes": "some string",
"completion_percentage": "1"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customer_id: 1,
name: 'some string',
description: 'some string',
status: 1,
status_id: 1,
status_workflow_id: 1,
location_id: 1,
location: 'some string',
start_time: 1234567890,
end_time: 1234567890,
notes: 'some string',
job_notes: 'some string',
completion_percentage: '1'
})
};
fetch('https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/projects/{projectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"error": false,
"response": {}
}{
"error": true,
"errors": [
"error message",
"error message"
]
}{
"message": "Unauthorized"
}{
"message": "Request URL or object not found"
}{
"message": "Internal Server Error"
}Projects
Update project by ID
Update a project
PUT
/
projects
/
{projectId}
Update project by ID
curl --request PUT \
--url https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/projects/{projectId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"customer_id": 1,
"name": "some string",
"description": "some string",
"status": 1,
"status_id": 1,
"status_workflow_id": 1,
"location_id": 1,
"location": "some string",
"start_time": 1234567890,
"end_time": 1234567890,
"notes": "some string",
"job_notes": "some string",
"completion_percentage": "1"
}
'import requests
url = "https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/projects/{projectId}"
payload = {
"customer_id": 1,
"name": "some string",
"description": "some string",
"status": 1,
"status_id": 1,
"status_workflow_id": 1,
"location_id": 1,
"location": "some string",
"start_time": 1234567890,
"end_time": 1234567890,
"notes": "some string",
"job_notes": "some string",
"completion_percentage": "1"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customer_id: 1,
name: 'some string',
description: 'some string',
status: 1,
status_id: 1,
status_workflow_id: 1,
location_id: 1,
location: 'some string',
start_time: 1234567890,
end_time: 1234567890,
notes: 'some string',
job_notes: 'some string',
completion_percentage: '1'
})
};
fetch('https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/projects/{projectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"error": false,
"response": {}
}{
"error": true,
"errors": [
"error message",
"error message"
]
}{
"message": "Unauthorized"
}{
"message": "Request URL or object not found"
}{
"message": "Internal Server Error"
}Authorizations
Path Parameters
Body
application/json
Existing customer id.
Maximum string length:
255Maximum string length:
10001 = opportunity, 2 = accepted, 3 = planning, 4 = in progress, 5 = pending, 6 = completed, 7 = canceled.
Available options:
1, 2, 3, 4, 5, 6, 7 Existing custom status id.
Existing status workflow id.
Existing location id.
Location string like "Street 1, City, State, Zip code".
Maximum string length:
5000Unix timestamp.
Unix timestamp.
Maximum string length:
7500Maximum string length:
1000A whole number from 0 to 100.
Was this page helpful?